<h1 align="center">
  OpenVPN and Transmission with WebUI
</h1>

<p align="center">
  Docker container running Transmission torrent client with WebUI over an OpenVPN tunnel
  <br/><br/>
  <a href="https://hub.docker.com/r/haugene/transmission-openvpn/">
    <img alt="pulls" src="https://img.shields.io/docker/pulls/haugene/transmission-openvpn.svg" />
  </a>
  <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=73XHRSK65KQYC">
    <img alt="Donate with PayPal" src="https://img.shields.io/badge/Donate-PayPal-green.svg">
  </a>
  <a href="https://www.patreon.com/haugene">
    <img alt="Donate with Patreon" src="https://github.com/haugene/docker-transmission-openvpn/raw/master/images/patreon.png">
  </a>
</p>

## Welcome to the documentation!

Writing good documentation is hard but we think that we're getting closer to a good place to search for answers.
These pages are not done yet and you will meet some "under construction" notices. Please bear with us and if you spot
mistakes or have suggestions - submit a PR :)

## General Information

* [The basic building blocks](building-blocks.md)
* [Running the container](run-container.md)
* [VPN and networking in containers](vpn-networking.md)
* [Supported providers and server locations](supported-providers.md)
* [Provider specific features/instructions](provider-specific.md)
* [Configuration options list](config-options.md)

## Troubleshooting

* [Frequently asked questions](faq.md)
* [Debugging your setup](debug.md)
* [Tips & Tricks](tips-tricks.md)

## Additional features

* [Web proxy: Privoxy](web-proxy.md)
* [RSS Plugin support](rss-plugin.md)
