
# Version 3.0 released - we have some breaking changes (but not much)

Those of you who are following this project know that we have had some larger changes coming for a while.
Hobby projects often get last in line for some love and care, and it took longer than I hoped but here we are.

Some highlights on version 3.0:

* We're dropping the ubuntu based image and making alpine the default (reduce double maintenance)
* We're making Transmission settings persistent by default, removing the need for all the environment variables (but keeping support for it)
* We're making it easier to provide your own OpenVPN (.ovpn) config file - adding scripts in the container to modify provider configs as needed to fit the container setup. (still in early stages at this point)
* We're adding a standardized way to add scripts for doing the necessary setup of a provider. This usually means downloading a .ovpn config bundle, unpacking it and modifying it correctly to work in this container.

Hopefully, these changes will improve the usability of this container. As maintainers, we also hope that it will free up time to keep the container up-to-date and stable instead of managing thousands of .ovpn files coming and going.

I'll try to keep a list of breaking changes here, and add to it if we come across more:

* The CREATE_TUN_DEVICE variable now defaults to true. Mounting /dev/net/tun will lead to an error message in the logs unless you explicitly set it to false.
* The DOCKER_LOG variable is renamed to LOG_TO_STDOUT
* If Transmission is running but you can't connect to torrents, try deleting the settings.json file (or renaming it to .backup) and restarting.

PS: Now more than ever. We appreciate that you report bugs and issues when you find them. But as there might be more than usual, please make sure you search and look for a similar one before possibly creating a duplicate.
And you can always revert to the latest tag on the 2.x versions which is 2.14. Instead of running with `haugene/transmission-openvpn` simply use `haugene/transmission-openvpn:2.14` instead. We hope that won't be necessary though :)
